edu.northwestern.at.morphadorner.tools

## Class AdornedXMLWriter

- java.lang.Object
- - edu.northwestern.at.morphadorner.tools.AdornedXMLWriter

-     public class AdornedXMLWriter
      extends java.lang.Object

  Writes JDOM document in MorphAdorner XML output format.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AdornedXMLWriter.AdornedXMLOutputProcessor` XML Output Processor that handles "" elements specially.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdornedXMLWriter(org.jdom2.Document document, java.lang.String xmlOutputFileName)` Create adorned XML Writer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `outputXML(org.jdom2.Document document, java.lang.String xmlOutputFileName)` Output XML.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdornedXMLWriter

          public AdornedXMLWriter(org.jdom2.Document document,
                          java.lang.String xmlOutputFileName)
                           throws org.xml.sax.SAXException,
                                  java.io.IOException

      Create adorned XML Writer.
      Parameters:
        `document` - The JDOM document to output.
        `xmlOutputFileName` - The XML output file name.
      Throws:
        `java.io.IOException` - when an I/O exception occurs.
        `org.xml.sax.SAXException`

  - ### Method Detail

    - #### outputXML

          protected void outputXML(org.jdom2.Document document,
                       java.lang.String xmlOutputFileName)
                            throws java.io.IOException

      Output XML.
      Parameters:
        `document` - The JDOM document to output.
        `xmlOutputFileName` - The XML output file name.
      Throws:
        `java.io.IOException` - when an I/O exception occurs.